<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
 xmlns:h="http://java.sun.com/jsf/html" xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
 xmlns:p="http://primefaces.org/ui" xmlns:pe="http://primefaces.org/ui/extensions" ng-app="myProject">

<head>
		<title>ART</title>
		<meta name="description" content="OUA Travel - bringing more to travel" />
		<meta name="keywords" content="OUA Travel - bringing more to travel" />
	<!-- <title>OUA Travel - bringing more to travel</title> -->
	<!-- <meta name="description" content="SATA is a full service travel agency with 9 branches located in Sharjah, Ajman and RAK. Six of our branches are IATA accredited and rests of the branches are in the process of attaining IATA accreditation. It is the only travel agency in the Emirate of Sharjah which is wholly owned by Government of Sharjah." /> -->
	<!-- <meta name="keywords" content="SATA, Sharjah Airport Travel Agency, Travel, Agency, Airport, Visa Service, IATA, Government of Sharjah, low-cost airlines" /> -->
	<meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
	<link rel="shortcut icon" href="./assets/logoart.gif" />
	<!-- <link rel="stylesheet" href="app/plugins/bootstrap/css/bootstrap.css" type="text/css" media="screen" /> -->
	<link rel="stylesheet" href="app/assets/fonts/font-awesome/css/font-awesome.min.css" type="text/css" media="screen" />
	<!-- <link rel="stylesheet" href="app/plugins/jQuery-ui/jquery-ui.css" type="text/css" /> -->
	<link href="app/assets/css/lobibox.css" rel="stylesheet" media="screen" />
	<link href="app/assets/css/custom.css" rel="stylesheet" media="screen" />
	<link href="app/assets/css/custom-new.css" rel="stylesheet" media="screen" />
	<link rel="stylesheet" type="text/css" href="app/plugins/rs-plugin/css/settings2.css" media="screen" />
	<link href="app/plugins/kGallery/kGallery.css" rel="stylesheet" />
	<link href="app/assets/css/editor.css" rel="stylesheet" />

	<script type="text/javascript" src="app/assets/angular/angular.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-resource.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-repeat-n.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-route.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-route-segment.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/checklist-model.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-cookies.js"></script>
	<script type="text/javascript" src="app/assets/angular/ng-tasty-tpls.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-touch.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-sanitize.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/ng-file-upload.js"></script>
	<script type="text/javascript" src="app/assets/angular/app.js"></script>

	<script type="text/javascript" src="app/assets/js/jquery.validate.min.js"></script>
	<script src="js/urlsettings.js"></script>
	<!-- <script type="text/javascript" src="app/plugins/bootstrap/js/bootstrap.min.js"></script> -->
</head>

<body ng-controller="resetPasswrd" ng-init="init()" class="signin" onload='document.resetPasForm.password.focus();'>

	<section>
		<div class="container">

			<div class="row justify-content-center">

				<div class="col-md-12 justify-content-center row my-4">
					<img src="./assets/logoart.gif" style="margin-left: 45px;" alt="logo" />
				</div>
				<div class="col-md-4 col-md-offset-4 border">
					<div class="row mt-3">
						<h4 class="nomargin ftitle pl-3" style="color: red;">Reset password</h4>
					</div>
					<div class="error-message" style="color:red; text-align:center; padding:5px; display:none;"></div>
					<div class="success-message" style="color:green; text-align:center; padding:5px; display:none;"></div>

					<form name="resetPasForm" id="resetPasForm">
						<div class="col-sm-12 pad0">
							<div class="form-group">
								<label class="control-label"><span class="star">Email Id</span></label>
								<div class="input-group col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<input type="email" id="travelEmail" name="travelEmail" value="" class="form-control borderRads" placeholder="Enter your mail id" readonly="true" />
								</div>
							</div>
						</div>
						<div class="col-sm-12 pad0">
							<div class="form-group">
								<label class="control-label"><span class="star">Password</span></label>
								<div class="input-group col-sm-12">
									<input type="password" name="password" value="" passwordCheck="passwordCheck" id="password" class="form-control pword w-100" placeholder="Password"
									 autocomplete="off" />
								</div>
							</div>
						</div>
						<div class="col-sm-12 pad0">
							<div class="form-group">
								<label class="control-label"><span class="star">Confirm Password</span></label>
								<div class="input-group col-sm-12">
									<input type="password" passwordCheck1="passwordCheck" name="password_again" value="" id="password_again" class="form-control pword w-100" autocomplete="off" 
									 placeholder="Type password again" />
								</div>
							</div>
						</div>
						
						<div id="pswd_info">
							<h4>Password must meet the following requirements:</h4>
							<ul>
								<li id="length" class="invalid"> <i class='fa fa-check-circle'></i> 8 or more characters</li>
								<li id="splChar" class="invalid"><i class='fa fa-check-circle'></i> Atleast one Special characters</li>
								<li id="capital" class="invalid"><i class='fa fa-check-circle'></i> Upper and Lowercase letters</li>
								<li id="number" class="invalid"><i class='fa fa-check-circle'></i> Atleast one number</li>
							</ul>
							<br/>
							<h4> <strong> Strength:</strong></h4>
							<ul>
								<li> 
									<div class="progress">
										<div id="progress" class="progress-bar"></div>
									</div>
								</li>
								<li>
									Avoid using a password that you use with other websites or that might be easy for someone else to guess.
								</li>
							</ul>
						</div>
						<div class="d-flex flex-row">
								<button type="button" onclick="resetPswrd();" id="clearBtn" name="resetBtn" class="btn custom-btn w-100">Clear</button>
								<button onclick="changePassword();" type="button" id="resetBtn" name="resetBtn" class="btn custom-btn w-100">Reset</button>
						</div>
						<input type="hidden" id="activationKey" />
						<input type="hidden" id="activationId" />
					</form>
				</div>

				<div class="clear"></div>

			</div>
			<!-- <div class="col-md-12 mt20">
				<div class="signup-footer col-md-5 col-md-offset-4">
					<div class="pull-left">Copyright &copy; 2020 by <a href="#" style="color: red;">ART Travel</a>. All Rights Reserved.</div>
				</div>
			</div> -->

		</div>
	</section>

	 <!-- Modal -->
	 <div class="modal fade" id="validationKey" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered" role="document">
		  <div class="modal-content" style="position: relative; top: 80px;">
			<div class="modal-body">
				Your activation key has been expired, Please register once again.
			</div>
		
		  </div>
		</div>
	  </div>

	<style>
		.sign-in {
			cursor: pointer;
			margin-top: 72px;
			margin-left: 220px;
		}

		/* #resetPasForm {
			margin-left: 26px;
			float: left;
			width: 90%;
		} */

		.error{
			color: red !important;
    		font-size: 12px !important;
		}
		#resetBtn {
			margin-left: 2px;
		}

		#clearBtn {
			float: right;
			margin-top: -1px;
			cursor: pointer;
		}

		.custom-btn {
			color: #fff;
			padding: 13px 25px;
			font-size: 13px;
			text-transform: uppercase;
			font-weight: 600;
			background: #2195c3;
			border-radius: 3px;
			position: relative;
			box-shadow: none;
			display: inline-block;
			-webkit-transition: all 0.4s ease;
			-moz-transition: all 0.4s ease;
			transition: all 0.4s ease;
			-webkit-transform: perspective(1px) translateZ(0);
			transform: perspective(1px) translateZ(0);
			border: none;
		}

		.custom-btn:hover {
			background: red;
			color: white;
		}

		.required {
			border: 1px solid red;
		}

		body {
			overflow: hidden !important;
		}

		input {
			padding-right: 30px !important;
		}

		.slink {
			font-size: 13px;
		}

		.slink:hover {
			text-decoration: underline;
		}

		.loading {
			position: relative;
			top: 13px;
			left: 113px;
		}

		.signinpanel form {
			background: rgba(255, 255, 255, 0.2) none repeat scroll 0 0;
			border: 1px solid #ccc;
			border-radius: 3px;
			box-shadow: 0 3px 0 rgba(12, 12, 12, 0.03);
			padding: 30px;
		}

		body {
			background-color: white !important;
		}

		.mb20 {
			margin-bottom: 20px;
		}

		.mt20 {
			margin-left: 33px;
			margin-top: 20px;
		}

		label.error:empty {
			display: none !important;
		}

		.pad0 {
			padding: 0;
		}

	/*	.signinpanel .pword {
			background: #fff url("app/images/locked.png") no-repeat scroll 95% center;
		} */

		span.star::after {
			color: red;
			content: "*";
		}
		#pswd_info {
					position:absolute;
					bottom:-81px;
					bottom: -115px\9; /* IE Specific */
					right:-194px;
					width:250px;
					padding:15px;
					background:#fefefe;
					font-size:.875em;
					border-radius:5px;
					box-shadow:0 1px 3px #ccc;
					border:1px solid #ddd;
					z-index: 1000;

				}
				#pswd_info h4 {
					margin:0 0 10px 0;
					padding:0;
					font-weight:normal;
				}

				#pswd_info::before {
					content: "\25B2";
					position:absolute;
					top:-12px;
					left:45%;
					font-size:14px;
					line-height:14px;
					color:#ddd;
					text-shadow:none;
					display:block;
				}
				.invalid {
					background:url(../images/invalid.png) no-repeat 0 50%;
					padding-left:22px;
					line-height:24px;
					color:#979495;
				}
				.valid {
					background:url(../images/valid.png) no-repeat 0 50%;
					padding-left:22px;
					line-height:24px;
					color:#0aca2f;
				}
				#pswd_info {
					display:none;
				}
				ul, li {
					margin:0;
					padding:0;
					list-style-type:none;
				}
				.header {
					display: none;
				}

				.footer {
					display: none;
				}
				.footer-top{
					display: none;
				}
				.footer-bottom{
					position: absolute;
					bottom: 0;
					width: 100%;	
				}
				.fontstyle{
					margin-bottom: 0 !important;
					padding-top: 10px !important;
				}
				.input-group{
					padding-left: 0;
				}
	</style>

	<!-- Modal -->
	<div class="modal fade" id="validationKey" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered" role="document">
		  <div class="modal-content" style="position: relative; top: 80px;">
			<div class="modal-body">
				Your activation key has been expired, Please try again.
			</div>
		
		  </div>
		</div>
	  </div>

    <!-- Modal -->
	<div class="modal fade" id="activationKeyErr" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered" role="document">
		  <div class="modal-content" style="position: relative; top: 80px;">
			<div class="modal-body">
				<div id="errmsgg"></div>
			</div>
		
		  </div>
		</div>
	  </div>

	<script>
		//var baseUrl="/gateway/";

		var CHANGE_PASSWORD_URL = API_URL+'auth/api/v1/user/change-password';
		var GUEST_LOGIN_URL = API_URL+'auth/api/v1/guest-login';
		var ACTIVATION_KEY_VALIDATE_URL = API_URL+'auth/api/v1/user/validate';
		var USER_ACTIVATE_URL = API_URL+'auth/api/v1/user/activate';

		var $validator = jQuery("#resetPasForm").validate({
			rules: {
				travelEmail:"required",
				password: "required",
				password_again: {
					equalTo: "#password"
				}
			},
			highlight: function (element) {
				jQuery(element).closest('.form-group').removeClass('has-success').addClass('has-error');
			},
			success: function (element) {
				jQuery(element).closest('.form-group').removeClass('has-error');
			}
		});

		jQuery.validator.addMethod("passwordCheck",
        function(value, element, param) {
            if (this.optional(element)) {
                return true;
            } else if (!/[A-Z]/.test(value)) {
                return false;
            } else if (!/[a-z]/.test(value)) {
                return false;
            } else if (!/[0-9]/.test(value)) {
                return false;
            }

            return true;
        },
		"Password does not meet the password criteria");

	jQuery.validator.addMethod("passwordCheck1",
        function(value, element, param) {
            if (this.optional(element)) {
                return true;
            } else if (!/[A-Z]/.test(value)) {
                return false;
            } else if (!/[a-z]/.test(value)) {
                return false;
            } else if (!/[0-9]/.test(value)) {
                return false;
            }

            return true;
        },
		"Password does not meet the password criteria");

		function resetPswrd(){
			$("#password_again").val("");
			$("#password").val("");
			
		}

		function changePassword() {
			var password = document.getElementById('password').value;
			var password_again = document.getElementById('password_again').value;
			var activation_key = document.getElementById('activationId').value;
			var usrname = document.getElementById('travelEmail').value;
			var actkey = document.getElementById('activationKey').value;

			var changePasReq = '{"password":"' + password + '","confirmPassword": "' + password_again + '","activationKey":"' + actkey + '","userName":"'+usrname+'"}';
			var $valid = jQuery('#resetPasForm').valid();
			if (!$valid) {
				return false;
			} else {
				$('.loading').show();
				$.ajax({
			type: 'POST',
			url: CHANGE_PASSWORD_URL,
			data: changePasReq,
			success: function(response){
				if(response.success == true){
					$('.loading').hide();
					var str = window.location.href;
					 var n = str.search("#!");
  					 var t= str.slice(0,n+3);
                    Lobibox.alert('success', {
                        msg: response.message,
                        callback: function(lobibox, type) {
							if (type === 'ok') {
								setTimeout(function(){ 
									window.location.href = t+'home'; 
								}, 2500);
							
							}
						}
                    });
					//Activate User
					// var activateReq = {
					// 	"activationKey": actkey,
					// 	"userName": usrname,
					// 	"password": password,
					// 	"confirmPassword": password_again
					// }
					// activateUser(activateReq);

				}
				if(response.success == false){
					var str = window.location.href;
					 var n = str.search("#!");
  					 var t= str.slice(0,n+3);
					Lobibox.alert('error', {
						msg: response.errorMessage,
						callback: function(lobibox, type) {
							if (type === 'ok') {
								setTimeout(function(){ 
									window.location.href = t+'home'; 
								}, 2500);
							
							}
						}
					});
				}
			},
			error: function(xhr, textStatus, errorThrown) {
				var err= eval("(" + xhr.responseText + ")");
				Lobibox.alert('error', {
					 msg: err.errorMessage
				 });

				// document.getElementById('errmsgg').innerHTML = "status:"+err.status+", Error Message:"+err.message+", Please try again";
				// $('#activationKeyErr').modal({ backdrop: 'static', keyboard: false });
				// $("#activationKeyErr").modal("show");
				// setTimeout(function(){ $("#activationKeyErr").modal("hide"); }, 2500);
			}
		});
				
			}
		}

		window.onload = function () {
		getUrlVars();
	};

	// Read a page's GET URL variables and return them as an associative array.
	function getUrlVars() {
		var url_string = window.location.href; //
		var querystring = url_string.split('=')[1];
		//var fresult = querystring.replace('%3D','');
		return querystring;
	}

			//Validate Activation key
			$(document).ready(function () {
			var authenticationreq = { "username": DEFAULT_USER };
			var authToken;
			// $.ajaxSetup({
			// 	headers: {
			// 		'Content-Type': "application/json"
			// 	}
			// });
			let activationID = getUrlVars();
				 
			//set guest auth
			if (localStorage.authentication == undefined) {

			$.post(GUEST_LOGIN_URL, JSON.stringify(authenticationreq), function (result) {
				if(result){
				authToken = result.authToken;

				$.ajaxSetup({
					headers: {
						'Content-Type': "application/json",
						'Authorization': "Bearer " + authToken
					}
				});
				
				
				//Validate User
				validateKey(activationID);
			}
				});
			}else{
				authToken = JSON.parse(localStorage.authentication);
				console.log(authToken);
				$.ajaxSetup({
					headers: {
						'Content-Type': "application/json",
						'Authorization': "Bearer " + authToken.data.authToken
					}
				});
				validateKey(activationID);
			}
			});

		function validateKey(activationID){
		$.ajax({
				type: 'GET',
				url: ACTIVATION_KEY_VALIDATE_URL+"/"+activationID,
				success: function(response){
					if(response.success == true){
						document.getElementById('travelEmail').value = response.data.loginId;
						document.getElementById('activationId').value = response.data.id;
						document.getElementById('activationKey').value = activationID;	
					}
					if(response.success == false){
					var str = window.location.href;
					 var n = str.search("#!");
  					 var t= str.slice(0,n+3);
					Lobibox.alert('error', {
						msg: response.errorMessage,
						callback: function(lobibox, type) {
							if (type === 'ok') {
								setTimeout(function(){ 
									window.location.href = t+'home'; 
								}, 2500);
							
							}
						}
					});
				}
				},
				error: function(xhr, textStatus, errorThrown) {
					var err= eval("(" + xhr.responseText + ")");
					//document.getElementById('errmsgg').innerHTML = "status:"+err.status+", Error Message:"+err.message+", Please try again";
					var str = window.location.href;
					 var n = str.search("#!");
  					 var t= str.slice(0,n+3);
					Lobibox.alert('error', {
						msg: err.errorMessage,
						callback: function(lobibox, type) {
							if (type === 'ok') {
								setTimeout(function(){ 
									window.location.href = t+'home'; 
								}, 2500);
							
							}
						}
					});
				}
				
				});
	}

	function activateUser(activatereq){
		$.ajax({
			type: 'POST',
			url: USER_ACTIVATE_URL,
			data: JSON.stringify(activatereq),
			success: function(response){
				if(response.success == true){
				var str = window.location.href;
					 var n = str.search("#!");
  					 var t= str.slice(0,n+3);
                    Lobibox.alert('success', {
                        msg: " Password changed successfully!",
                        callback: function(lobibox, type) {
							if (type === 'ok') {
								setTimeout(function(){ 
									window.location.href = t+'home'; 
								}, 2500);
							
							}
						}
                    });
				}
				if(response.success == false){
					var str = window.location.href;
					 var n = str.search("#!");
  					 var t= str.slice(0,n+3);
					Lobibox.alert('error', {
						msg: response.errorMessage,
						callback: function(lobibox, type) {
							if (type === 'ok') {
								setTimeout(function(){ 
									window.location.href = t+'home'; 
								}, 2500);
							
							}
						}
					});
				}
			},
			error: function(xhr, textStatus, errorThrown) {
				var err= eval("(" + xhr.responseText + ")");
				//document.getElementById('errmsgg').innerHTML = "status:"+err.status+", Error Message:"+err.message+", Please try again";
				var str = window.location.href;
					 var n = str.search("#!");
  					 var t= str.slice(0,n+3);
					Lobibox.alert('error', {
						msg: err.message,
						callback: function(lobibox, type) {
							if (type === 'ok') {
								setTimeout(function(){ 
									window.location.href = t+'home'; 
								}, 2500);
							
							}
						}
					});
			}
		});
	}

		function getUserId() {
			var queryStr = location.search;
			var queryStrSplt = queryStr.split('=');
			var mailStrSplt = queryStrSplt[1];
			var umail = mailStrSplt.split('&amp;')[0];
			return umail;
		}
		function homePage() {
			sessionStorage.reset = 1;
			location.assign('index.jsf');
			//setTimeout(function(){ $( "#resetPassTrigger" ).trigger( "click" ); }, 3000);
		}

		function getEncryptKey(){
			var queryStr = location.search;
			var queryStrSplt = queryStr.split('=');
			var mailStrSplt = queryStrSplt[1];
			var finalmailStrSplt = mailStrSplt+"=";
			console.log(finalmailStrSplt);
			return finalmailStrSplt;
		}

	
		//PASSWORD CHECKER 			
		$(document).ready(function() {
					$('input[type=password]').keyup(function() {
						
					var percentage = 0; 
		
						var pswd = $(this).val();
						if ( pswd.length < 8 ) {
			$('#length').removeClass('valid').addClass('invalid');
		} else {
			percentage += 25;
			$('#length').removeClass('invalid').addClass('valid');
		}
	
		if ( pswd.match(/[A-Z]/) ) {
			percentage += 25;
			$('#capital').removeClass('invalid').addClass('valid');
		} else {
			$('#capital').removeClass('valid').addClass('invalid');
		}
		
		if(pswd.match(/[!@#\$%\^&\*]/))
		{
			percentage += 25;
			$('#splChar').removeClass('invalid').addClass('valid');
		} else {
			$('#splChar').removeClass('valid').addClass('invalid');
		}
		
		//validate number
		if ( pswd.match(/\d/) ) {
			percentage += 25;
			$('#number').removeClass('invalid').addClass('valid');
		} else {
			$('#number').removeClass('valid').addClass('invalid');
		}
		
		if(percentage < 25){
			$(".progress-bar").css("background", "white");
		}else if(percentage < 50)
		{
			$(".progress-bar").css("background", "#f34c26");
		}else if(percentage < 75)
		{
			$(".progress-bar").css("background", "#caf326");
		}else if(percentage < 100)
		{
			$(".progress-bar").css("background", "#f3ab26");
		}else{
			$(".progress-bar").css("background", "#0f910c");
		
		}
		
		$(".progress-bar").css("width", percentage + "%"); 
		$('#pswd_info').show();
		
		
		}).focus(function() {
		}).blur(function() {
			$('#pswd_info').hide();
		});
		
		
		});
	</script>
</body>

</html>